#include <array>
#include <dwarfs/tool/manpage.h>

namespace dwarfs::tool::manpage {

// NOLINTBEGIN(readability-*)

namespace {
#if 0
Heading(1, dwarfsck(1) -- check DwarFS image, None)
#endif
constexpr uint32_t const line0_indent_first{0};
constexpr uint32_t const line0_indent_next{0};
constexpr std::array<element, 1> const line0_elements{{
    {fmt::fg(fmt::terminal_color::bright_green) | fmt::emphasis::bold /* {'h1', 'head'} */, R"(dwarfsck(1) -- check DwarFS image)"} /* raw text */,
}};

constexpr uint32_t const line1_indent_first{0};
constexpr uint32_t const line1_indent_next{0};
constexpr std::array<element, 0> const line1_elements{{
}};

#if 0
Heading(2, SYNOPSIS, None)
#endif
constexpr uint32_t const line2_indent_first{0};
constexpr uint32_t const line2_indent_next{0};
constexpr std::array<element, 1> const line2_elements{{
    {fmt::fg(fmt::terminal_color::bright_green) | fmt::emphasis::bold /* {'head', 'h2'} */, R"(SYNOPSIS)"} /* raw text */,
}};

#if 0
<__main__.Paragraph object at 0x7f24520b6120>
#endif
// paragraph
constexpr uint32_t const line3_indent_first{8};
constexpr uint32_t const line3_indent_next{8};
constexpr std::array<element, 8> const line3_elements{{
    {fmt::fg(fmt::terminal_color::bright_blue) | fmt::emphasis::bold /* {'code'} */, R"(dwarfsck)"} /* inline code */,
    {{} /* set() */, R"( [)"} /* raw text */,
    {fmt::fg(fmt::terminal_color::bright_blue) | fmt::emphasis::bold /* {'code'} */, R"(-i)"} /* inline code */,
    {{} /* set() */, R"(] )"} /* raw text */,
    {fmt::emphasis::italic /* {'i'} */, R"(image)"} /* raw text */,
    {{} /* set() */, R"( [)"} /* raw text */,
    {fmt::emphasis::italic /* {'i'} */, R"(options)"} /* raw text */,
    {{} /* set() */, R"(...])"} /* raw text */,
}};

constexpr uint32_t const line4_indent_first{0};
constexpr uint32_t const line4_indent_next{0};
constexpr std::array<element, 0> const line4_elements{{
}};

#if 0
Heading(2, DESCRIPTION, None)
#endif
constexpr uint32_t const line5_indent_first{0};
constexpr uint32_t const line5_indent_next{0};
constexpr std::array<element, 1> const line5_elements{{
    {fmt::fg(fmt::terminal_color::bright_green) | fmt::emphasis::bold /* {'head', 'h2'} */, R"(DESCRIPTION)"} /* raw text */,
}};

#if 0
<__main__.Paragraph object at 0x7f2452114410>
#endif
// paragraph
constexpr uint32_t const line6_indent_first{8};
constexpr uint32_t const line6_indent_next{8};
constexpr std::array<element, 2> const line6_elements{{
    {fmt::emphasis::bold /* {'b'} */, R"(dwarfsck)"} /* raw text */,
    {{} /* set() */, R"( will perform a check of a DwarFS filesystem image.)"} /* raw text */,
}};

constexpr uint32_t const line7_indent_first{0};
constexpr uint32_t const line7_indent_next{0};
constexpr std::array<element, 0> const line7_elements{{
}};

#if 0
<__main__.Paragraph object at 0x7f2452114550>
#endif
// paragraph
constexpr uint32_t const line8_indent_first{8};
constexpr uint32_t const line8_indent_next{8};
constexpr std::array<element, 5> const line8_elements{{
    {{} /* set() */, R"(If successful, it will show details about the filesystem depending)"} /* raw text */,
    {{} /* set() */, R"( )"} /* whitespace */,
    {{} /* set() */, R"(on the detail level specified. If an error is found, it will exit)"} /* raw text */,
    {{} /* set() */, R"( )"} /* whitespace */,
    {{} /* set() */, R"(with a non-zero exit code.)"} /* raw text */,
}};

constexpr uint32_t const line9_indent_first{0};
constexpr uint32_t const line9_indent_next{0};
constexpr std::array<element, 0> const line9_elements{{
}};

#if 0
Heading(2, OPTIONS, None)
#endif
constexpr uint32_t const line10_indent_first{0};
constexpr uint32_t const line10_indent_next{0};
constexpr std::array<element, 1> const line10_elements{{
    {fmt::fg(fmt::terminal_color::bright_green) | fmt::emphasis::bold /* {'head', 'h2'} */, R"(OPTIONS)"} /* raw text */,
}};

#if 0
[ListItem([<__main__.Paragraph object at 0x7f24520a7950>], list item), ListItem([<__main__.Paragraph object at 0x7f24520a7820>], list item), ListItem([<__main__.Paragraph object at 0x7f24520dc950>], list item), ListItem([<__main__.Paragraph object at 0x7f24521105a0>], list item), ListItem([<__main__.Paragraph object at 0x7f24521107c0>], list item), ListItem([<__main__.Paragraph object at 0x7f24520c6250>], list item), ListItem([<__main__.Paragraph object at 0x7f24520c6350>], list item), ListItem([<__main__.Paragraph object at 0x7f245211c230>], list item)]
#endif
// paragraph
constexpr uint32_t const line11_indent_first{8};
constexpr uint32_t const line11_indent_next{8};
constexpr std::array<element, 5> const line11_elements{{
    {fmt::fg(fmt::terminal_color::bright_blue) | fmt::emphasis::bold /* {'code'} */, R"(-i)"} /* inline code */,
    {{} /* set() */, R"(, )"} /* raw text */,
    {fmt::fg(fmt::terminal_color::bright_blue) | fmt::emphasis::bold /* {'code'} */, R"(--input=)"} /* inline code */,
    {fmt::emphasis::italic /* {'i'} */, R"(file)"} /* raw text */,
    {{} /* set() */, R"()"} /* raw text */,
}};

// paragraph
constexpr uint32_t const line12_indent_first{16};
constexpr uint32_t const line12_indent_next{16};
constexpr std::array<element, 1> const line12_elements{{
    {{} /* set() */, R"(Path to the filesystem image.)"} /* raw text */,
}};

constexpr uint32_t const line13_indent_first{0};
constexpr uint32_t const line13_indent_next{0};
constexpr std::array<element, 0> const line13_elements{{
}};

// paragraph
constexpr uint32_t const line14_indent_first{8};
constexpr uint32_t const line14_indent_next{8};
constexpr std::array<element, 5> const line14_elements{{
    {fmt::fg(fmt::terminal_color::bright_blue) | fmt::emphasis::bold /* {'code'} */, R"(-d)"} /* inline code */,
    {{} /* set() */, R"(, )"} /* raw text */,
    {fmt::fg(fmt::terminal_color::bright_blue) | fmt::emphasis::bold /* {'code'} */, R"(--detail=)"} /* inline code */,
    {fmt::emphasis::italic /* {'i'} */, R"(value)"} /* raw text */,
    {{} /* set() */, R"()"} /* raw text */,
}};

// paragraph
constexpr uint32_t const line15_indent_first{16};
constexpr uint32_t const line15_indent_next{16};
constexpr std::array<element, 7> const line15_elements{{
    {{} /* set() */, R"(Level of filesystem information detail. This can be a numeric level)"} /* raw text */,
    {{} /* set() */, R"( )"} /* whitespace */,
    {{} /* set() */, R"(between 0 and 7, or a comma-separated list of feature names. The)"} /* raw text */,
    {{} /* set() */, R"( )"} /* whitespace */,
    {{} /* set() */, R"(default corresponds to a level of 2. The feature names are shown)"} /* raw text */,
    {{} /* set() */, R"( )"} /* whitespace */,
    {{} /* set() */, R"(in the command help.)"} /* raw text */,
}};

constexpr uint32_t const line16_indent_first{0};
constexpr uint32_t const line16_indent_next{0};
constexpr std::array<element, 0> const line16_elements{{
}};

// paragraph
constexpr uint32_t const line17_indent_first{8};
constexpr uint32_t const line17_indent_next{8};
constexpr std::array<element, 4> const line17_elements{{
    {fmt::fg(fmt::terminal_color::bright_blue) | fmt::emphasis::bold /* {'code'} */, R"(-q)"} /* inline code */,
    {{} /* set() */, R"(, )"} /* raw text */,
    {fmt::fg(fmt::terminal_color::bright_blue) | fmt::emphasis::bold /* {'code'} */, R"(--quiet)"} /* inline code */,
    {{} /* set() */, R"()"} /* raw text */,
}};

// paragraph
constexpr uint32_t const line18_indent_first{16};
constexpr uint32_t const line18_indent_next{16};
constexpr std::array<element, 1> const line18_elements{{
    {{} /* set() */, R"(Don't produce any output unless there is an error.)"} /* raw text */,
}};

constexpr uint32_t const line19_indent_first{0};
constexpr uint32_t const line19_indent_next{0};
constexpr std::array<element, 0> const line19_elements{{
}};

// paragraph
constexpr uint32_t const line20_indent_first{8};
constexpr uint32_t const line20_indent_next{8};
constexpr std::array<element, 4> const line20_elements{{
    {fmt::fg(fmt::terminal_color::bright_blue) | fmt::emphasis::bold /* {'code'} */, R"(-v)"} /* inline code */,
    {{} /* set() */, R"(, )"} /* raw text */,
    {fmt::fg(fmt::terminal_color::bright_blue) | fmt::emphasis::bold /* {'code'} */, R"(--verbose)"} /* inline code */,
    {{} /* set() */, R"()"} /* raw text */,
}};

// paragraph
constexpr uint32_t const line21_indent_first{16};
constexpr uint32_t const line21_indent_next{16};
constexpr std::array<element, 1> const line21_elements{{
    {{} /* set() */, R"(Produce verbose output, where applicable.)"} /* raw text */,
}};

constexpr uint32_t const line22_indent_first{0};
constexpr uint32_t const line22_indent_next{0};
constexpr std::array<element, 0> const line22_elements{{
}};

// paragraph
constexpr uint32_t const line23_indent_first{8};
constexpr uint32_t const line23_indent_next{8};
constexpr std::array<element, 7> const line23_elements{{
    {fmt::fg(fmt::terminal_color::bright_blue) | fmt::emphasis::bold /* {'code'} */, R"(-O)"} /* inline code */,
    {{} /* set() */, R"(, )"} /* raw text */,
    {fmt::fg(fmt::terminal_color::bright_blue) | fmt::emphasis::bold /* {'code'} */, R"(--image-offset=)"} /* inline code */,
    {fmt::emphasis::italic /* {'i'} */, R"(value)"} /* raw text */,
    {{} /* set() */, R"(|)"} /* raw text */,
    {fmt::fg(fmt::terminal_color::bright_blue) | fmt::emphasis::bold /* {'code'} */, R"(auto)"} /* inline code */,
    {{} /* set() */, R"()"} /* raw text */,
}};

// paragraph
constexpr uint32_t const line24_indent_first{16};
constexpr uint32_t const line24_indent_next{16};
constexpr std::array<element, 9> const line24_elements{{
    {{} /* set() */, R"(Specify the byte offset at which the filesystem is located in the image.)"} /* raw text */,
    {{} /* set() */, R"( )"} /* whitespace */,
    {{} /* set() */, R"(Use )"} /* raw text */,
    {fmt::fg(fmt::terminal_color::bright_blue) | fmt::emphasis::bold /* {'code'} */, R"(auto)"} /* inline code */,
    {{} /* set() */, R"( to detect the offset automatically. This is also the default.)"} /* raw text */,
    {{} /* set() */, R"( )"} /* whitespace */,
    {{} /* set() */, R"(This is only useful for images that have some header located before the)"} /* raw text */,
    {{} /* set() */, R"( )"} /* whitespace */,
    {{} /* set() */, R"(actual filesystem data.)"} /* raw text */,
}};

constexpr uint32_t const line25_indent_first{0};
constexpr uint32_t const line25_indent_next{0};
constexpr std::array<element, 0> const line25_elements{{
}};

// paragraph
constexpr uint32_t const line26_indent_first{8};
constexpr uint32_t const line26_indent_next{8};
constexpr std::array<element, 4> const line26_elements{{
    {fmt::fg(fmt::terminal_color::bright_blue) | fmt::emphasis::bold /* {'code'} */, R"(-H)"} /* inline code */,
    {{} /* set() */, R"(, )"} /* raw text */,
    {fmt::fg(fmt::terminal_color::bright_blue) | fmt::emphasis::bold /* {'code'} */, R"(--print-header)"} /* inline code */,
    {{} /* set() */, R"()"} /* raw text */,
}};

// paragraph
constexpr uint32_t const line27_indent_first{16};
constexpr uint32_t const line27_indent_next{16};
constexpr std::array<element, 5> const line27_elements{{
    {{} /* set() */, R"(Print the header located before the filesystem image to stdout. If no)"} /* raw text */,
    {{} /* set() */, R"( )"} /* whitespace */,
    {{} /* set() */, R"(header is present, the program will exit with exit code 2 and emit a)"} /* raw text */,
    {{} /* set() */, R"( )"} /* whitespace */,
    {{} /* set() */, R"(warning.)"} /* raw text */,
}};

constexpr uint32_t const line28_indent_first{0};
constexpr uint32_t const line28_indent_next{0};
constexpr std::array<element, 0> const line28_elements{{
}};

// paragraph
constexpr uint32_t const line29_indent_first{8};
constexpr uint32_t const line29_indent_next{8};
constexpr std::array<element, 4> const line29_elements{{
    {fmt::fg(fmt::terminal_color::bright_blue) | fmt::emphasis::bold /* {'code'} */, R"(-l)"} /* inline code */,
    {{} /* set() */, R"(, )"} /* raw text */,
    {fmt::fg(fmt::terminal_color::bright_blue) | fmt::emphasis::bold /* {'code'} */, R"(--list)"} /* inline code */,
    {{} /* set() */, R"()"} /* raw text */,
}};

// paragraph
constexpr uint32_t const line30_indent_first{16};
constexpr uint32_t const line30_indent_next{16};
constexpr std::array<element, 7> const line30_elements{{
    {{} /* set() */, R"(List all entries in the file system image. Uses output similar to )"} /* raw text */,
    {fmt::fg(fmt::terminal_color::bright_blue) | fmt::emphasis::bold /* {'code'} */, R"(tar -t)"} /* inline code */,
    {{} /* set() */, R"(.)"} /* raw text */,
    {{} /* set() */, R"( )"} /* whitespace */,
    {{} /* set() */, R"(With )"} /* raw text */,
    {fmt::fg(fmt::terminal_color::bright_blue) | fmt::emphasis::bold /* {'code'} */, R"(--verbose)"} /* inline code */,
    {{} /* set() */, R"(, also print details about each entry.)"} /* raw text */,
}};

constexpr uint32_t const line31_indent_first{0};
constexpr uint32_t const line31_indent_next{0};
constexpr std::array<element, 0> const line31_elements{{
}};

// paragraph
constexpr uint32_t const line32_indent_first{8};
constexpr uint32_t const line32_indent_next{8};
constexpr std::array<element, 3> const line32_elements{{
    {fmt::fg(fmt::terminal_color::bright_blue) | fmt::emphasis::bold /* {'code'} */, R"(--checksum=)"} /* inline code */,
    {fmt::emphasis::italic /* {'i'} */, R"(name)"} /* raw text */,
    {{} /* set() */, R"()"} /* raw text */,
}};

// paragraph
constexpr uint32_t const line33_indent_first{16};
constexpr uint32_t const line33_indent_next{16};
constexpr std::array<element, 5> const line33_elements{{
    {{} /* set() */, R"(Produce a checksum using the specified algorithm for each regular file in)"} /* raw text */,
    {{} /* set() */, R"( )"} /* whitespace */,
    {{} /* set() */, R"(the file system image. This can be used to easily verify the file system)"} /* raw text */,
    {{} /* set() */, R"( )"} /* whitespace */,
    {{} /* set() */, R"(image against local files, e.g.:)"} /* raw text */,
}};

constexpr uint32_t const line34_indent_first{0};
constexpr uint32_t const line34_indent_next{0};
constexpr std::array<element, 0> const line34_elements{{
}};

#if 0
<__main__.BlockCode object at 0x7f24520b5fd0>
#endif
// raw text
constexpr uint32_t const line35_indent_first{12};
constexpr uint32_t const line35_indent_next{12};
constexpr std::array<element, 1> const line35_elements{{
    {fmt::emphasis::faint /* {'block'} */, R"(dwarfsck --checksum=sha512 /tmp/fs.dwarfs | sha512sum --check)"} /* None */,
}};

// raw text
constexpr uint32_t const line36_indent_first{12};
constexpr uint32_t const line36_indent_next{12};
constexpr std::array<element, 1> const line36_elements{{
    {fmt::emphasis::faint /* {'block'} */, R"()"} /* None */,
}};

#if 0
[ListItem([<__main__.Paragraph object at 0x7f245211c140>], list item), ListItem([<__main__.Paragraph object at 0x7f24520d3690>], list item), ListItem([<__main__.Paragraph object at 0x7f24520d2cf0>], list item), ListItem([<__main__.Paragraph object at 0x7f2452104460>], list item)]
#endif
// paragraph
constexpr uint32_t const line37_indent_first{8};
constexpr uint32_t const line37_indent_next{8};
constexpr std::array<element, 5> const line37_elements{{
    {fmt::fg(fmt::terminal_color::bright_blue) | fmt::emphasis::bold /* {'code'} */, R"(-n)"} /* inline code */,
    {{} /* set() */, R"(, )"} /* raw text */,
    {fmt::fg(fmt::terminal_color::bright_blue) | fmt::emphasis::bold /* {'code'} */, R"(--num-workers=)"} /* inline code */,
    {fmt::emphasis::italic /* {'i'} */, R"(value)"} /* raw text */,
    {{} /* set() */, R"()"} /* raw text */,
}};

// paragraph
constexpr uint32_t const line38_indent_first{16};
constexpr uint32_t const line38_indent_next{16};
constexpr std::array<element, 1> const line38_elements{{
    {{} /* set() */, R"(Number of worker threads used for integrity checking.)"} /* raw text */,
}};

constexpr uint32_t const line39_indent_first{0};
constexpr uint32_t const line39_indent_next{0};
constexpr std::array<element, 0> const line39_elements{{
}};

// paragraph
constexpr uint32_t const line40_indent_first{8};
constexpr uint32_t const line40_indent_next{8};
constexpr std::array<element, 2> const line40_elements{{
    {fmt::fg(fmt::terminal_color::bright_blue) | fmt::emphasis::bold /* {'code'} */, R"(--check-integrity)"} /* inline code */,
    {{} /* set() */, R"()"} /* raw text */,
}};

// paragraph
constexpr uint32_t const line41_indent_first{16};
constexpr uint32_t const line41_indent_next{16};
constexpr std::array<element, 3> const line41_elements{{
    {{} /* set() */, R"(Instead of performing a fast checksum check, perform a (much slower))"} /* raw text */,
    {{} /* set() */, R"( )"} /* whitespace */,
    {{} /* set() */, R"(integrity check using the embedded SHA-512/256 hashes.)"} /* raw text */,
}};

constexpr uint32_t const line42_indent_first{0};
constexpr uint32_t const line42_indent_next{0};
constexpr std::array<element, 0> const line42_elements{{
}};

// paragraph
constexpr uint32_t const line43_indent_first{8};
constexpr uint32_t const line43_indent_next{8};
constexpr std::array<element, 2> const line43_elements{{
    {fmt::fg(fmt::terminal_color::bright_blue) | fmt::emphasis::bold /* {'code'} */, R"(--no-check)"} /* inline code */,
    {{} /* set() */, R"()"} /* raw text */,
}};

// paragraph
constexpr uint32_t const line44_indent_first{16};
constexpr uint32_t const line44_indent_next{16};
constexpr std::array<element, 7> const line44_elements{{
    {{} /* set() */, R"(Don't even perform a fast checksum check on the file system blocks.)"} /* raw text */,
    {{} /* set() */, R"( )"} /* whitespace */,
    {{} /* set() */, R"(The metadata will still be checked to make sure it can safely be read.)"} /* raw text */,
    {{} /* set() */, R"( )"} /* whitespace */,
    {{} /* set() */, R"(Use this if you want to quickly query file system information rather)"} /* raw text */,
    {{} /* set() */, R"( )"} /* whitespace */,
    {{} /* set() */, R"(than performing an actual file system check.)"} /* raw text */,
}};

constexpr uint32_t const line45_indent_first{0};
constexpr uint32_t const line45_indent_next{0};
constexpr std::array<element, 0> const line45_elements{{
}};

// paragraph
constexpr uint32_t const line46_indent_first{8};
constexpr uint32_t const line46_indent_next{8};
constexpr std::array<element, 4> const line46_elements{{
    {fmt::fg(fmt::terminal_color::bright_blue) | fmt::emphasis::bold /* {'code'} */, R"(-j)"} /* inline code */,
    {{} /* set() */, R"(, )"} /* raw text */,
    {fmt::fg(fmt::terminal_color::bright_blue) | fmt::emphasis::bold /* {'code'} */, R"(--json)"} /* inline code */,
    {{} /* set() */, R"()"} /* raw text */,
}};

// paragraph
constexpr uint32_t const line47_indent_first{16};
constexpr uint32_t const line47_indent_next{16};
constexpr std::array<element, 14> const line47_elements{{
    {{} /* set() */, R"(Print a simple JSON representation of the filesystem metadata. Please)"} /* raw text */,
    {{} /* set() */, R"( )"} /* whitespace */,
    {{} /* set() */, R"(note that the format is )"} /* raw text */,
    {fmt::emphasis::italic /* {'i'} */, R"(not)"} /* raw text */,
    {{} /* set() */, R"( stable. The level of detail also depends)"} /* raw text */,
    {{} /* set() */, R"( )"} /* whitespace */,
    {{} /* set() */, R"(on the )"} /* raw text */,
    {fmt::fg(fmt::terminal_color::bright_blue) | fmt::emphasis::bold /* {'code'} */, R"(--detail)"} /* inline code */,
    {{} /* set() */, R"( switch. This can be useful in conjunction with the)"} /* raw text */,
    {{} /* set() */, R"( )"} /* whitespace */,
    {fmt::fg(fmt::terminal_color::bright_blue) | fmt::emphasis::bold /* {'code'} */, R"(jq)"} /* inline code */,
    {{} /* set() */, R"( tool to extract file system information, for example generate a)"} /* raw text */,
    {{} /* set() */, R"( )"} /* whitespace */,
    {{} /* set() */, R"(list of all categories in a file system image:)"} /* raw text */,
}};

constexpr uint32_t const line48_indent_first{0};
constexpr uint32_t const line48_indent_next{0};
constexpr std::array<element, 0> const line48_elements{{
}};

#if 0
<__main__.BlockCode object at 0x7f2452114410>
#endif
// raw text
constexpr uint32_t const line49_indent_first{12};
constexpr uint32_t const line49_indent_next{12};
constexpr std::array<element, 1> const line49_elements{{
    {fmt::emphasis::faint /* {'block'} */, R"($ dwarfsck image.dwarfs --no-check -j | jq -r '.categories | keys .[]')"} /* None */,
}};

// raw text
constexpr uint32_t const line50_indent_first{12};
constexpr uint32_t const line50_indent_next{12};
constexpr std::array<element, 1> const line50_elements{{
    {fmt::emphasis::faint /* {'block'} */, R"(<default>)"} /* None */,
}};

// raw text
constexpr uint32_t const line51_indent_first{12};
constexpr uint32_t const line51_indent_next{12};
constexpr std::array<element, 1> const line51_elements{{
    {fmt::emphasis::faint /* {'block'} */, R"(incompressible)"} /* None */,
}};

// raw text
constexpr uint32_t const line52_indent_first{12};
constexpr uint32_t const line52_indent_next{12};
constexpr std::array<element, 1> const line52_elements{{
    {fmt::emphasis::faint /* {'block'} */, R"(pcmaudio/metadata)"} /* None */,
}};

// raw text
constexpr uint32_t const line53_indent_first{12};
constexpr uint32_t const line53_indent_next{12};
constexpr std::array<element, 1> const line53_elements{{
    {fmt::emphasis::faint /* {'block'} */, R"(pcmaudio/waveform)"} /* None */,
}};

// raw text
constexpr uint32_t const line54_indent_first{12};
constexpr uint32_t const line54_indent_next{12};
constexpr std::array<element, 1> const line54_elements{{
    {fmt::emphasis::faint /* {'block'} */, R"()"} /* None */,
}};

#if 0
[ListItem([<__main__.Paragraph object at 0x7f245225ce90>], list item), ListItem([<__main__.Paragraph object at 0x7f245225dcd0>], list item), ListItem([<__main__.Paragraph object at 0x7f24520ecaa0>], list item), ListItem([<__main__.Paragraph object at 0x7f24520ecb50>], list item), ListItem([<__main__.Paragraph object at 0x7f2452103250>], list item)]
#endif
// paragraph
constexpr uint32_t const line55_indent_first{8};
constexpr uint32_t const line55_indent_next{8};
constexpr std::array<element, 3> const line55_elements{{
    {fmt::fg(fmt::terminal_color::bright_blue) | fmt::emphasis::bold /* {'code'} */, R"(--export-metadata=)"} /* inline code */,
    {fmt::emphasis::italic /* {'i'} */, R"(file)"} /* raw text */,
    {{} /* set() */, R"()"} /* raw text */,
}};

// paragraph
constexpr uint32_t const line56_indent_first{16};
constexpr uint32_t const line56_indent_next{16};
constexpr std::array<element, 1> const line56_elements{{
    {{} /* set() */, R"(Export all filesystem metadata in JSON format.)"} /* raw text */,
}};

constexpr uint32_t const line57_indent_first{0};
constexpr uint32_t const line57_indent_next{0};
constexpr std::array<element, 0> const line57_elements{{
}};

// paragraph
constexpr uint32_t const line58_indent_first{8};
constexpr uint32_t const line58_indent_next{8};
constexpr std::array<element, 3> const line58_elements{{
    {fmt::fg(fmt::terminal_color::bright_blue) | fmt::emphasis::bold /* {'code'} */, R"(--log-level=)"} /* inline code */,
    {fmt::emphasis::italic /* {'i'} */, R"(name)"} /* raw text */,
    {{} /* set() */, R"()"} /* raw text */,
}};

// paragraph
constexpr uint32_t const line59_indent_first{16};
constexpr uint32_t const line59_indent_next{16};
constexpr std::array<element, 1> const line59_elements{{
    {{} /* set() */, R"(Specify a logging level.)"} /* raw text */,
}};

constexpr uint32_t const line60_indent_first{0};
constexpr uint32_t const line60_indent_next{0};
constexpr std::array<element, 0> const line60_elements{{
}};

// paragraph
constexpr uint32_t const line61_indent_first{8};
constexpr uint32_t const line61_indent_next{8};
constexpr std::array<element, 2> const line61_elements{{
    {fmt::fg(fmt::terminal_color::bright_blue) | fmt::emphasis::bold /* {'code'} */, R"(--log-with-context)"} /* inline code */,
    {{} /* set() */, R"()"} /* raw text */,
}};

// paragraph
constexpr uint32_t const line62_indent_first{16};
constexpr uint32_t const line62_indent_next{16};
constexpr std::array<element, 9> const line62_elements{{
    {{} /* set() */, R"(Enable logging context regardless of level. By default, context is enabled)"} /* raw text */,
    {{} /* set() */, R"( )"} /* whitespace */,
    {{} /* set() */, R"(if the level is )"} /* raw text */,
    {fmt::fg(fmt::terminal_color::bright_blue) | fmt::emphasis::bold /* {'code'} */, R"(verbose)"} /* inline code */,
    {{} /* set() */, R"(, )"} /* raw text */,
    {fmt::fg(fmt::terminal_color::bright_blue) | fmt::emphasis::bold /* {'code'} */, R"(debug)"} /* inline code */,
    {{} /* set() */, R"( or )"} /* raw text */,
    {fmt::fg(fmt::terminal_color::bright_blue) | fmt::emphasis::bold /* {'code'} */, R"(trace)"} /* inline code */,
    {{} /* set() */, R"(.)"} /* raw text */,
}};

constexpr uint32_t const line63_indent_first{0};
constexpr uint32_t const line63_indent_next{0};
constexpr std::array<element, 0> const line63_elements{{
}};

// paragraph
constexpr uint32_t const line64_indent_first{8};
constexpr uint32_t const line64_indent_next{8};
constexpr std::array<element, 4> const line64_elements{{
    {fmt::fg(fmt::terminal_color::bright_blue) | fmt::emphasis::bold /* {'code'} */, R"(-h)"} /* inline code */,
    {{} /* set() */, R"(, )"} /* raw text */,
    {fmt::fg(fmt::terminal_color::bright_blue) | fmt::emphasis::bold /* {'code'} */, R"(--help)"} /* inline code */,
    {{} /* set() */, R"()"} /* raw text */,
}};

// paragraph
constexpr uint32_t const line65_indent_first{16};
constexpr uint32_t const line65_indent_next{16};
constexpr std::array<element, 1> const line65_elements{{
    {{} /* set() */, R"(Show program help, including option defaults.)"} /* raw text */,
}};

constexpr uint32_t const line66_indent_first{0};
constexpr uint32_t const line66_indent_next{0};
constexpr std::array<element, 0> const line66_elements{{
}};

// paragraph
constexpr uint32_t const line67_indent_first{8};
constexpr uint32_t const line67_indent_next{16};
constexpr std::array<element, 11> const line67_elements{{
    {fmt::fg(fmt::terminal_color::bright_blue) | fmt::emphasis::bold /* {'code'} */, R"(--man)"} /* inline code */,
    {{} /* set() */, R"(   )"} /* raw text */,
    {{} /* set() */, R"(If the project was built with support for built-in manual pages, this)"} /* raw text */,
    {{} /* set() */, R"( )"} /* whitespace */,
    {{} /* set() */, R"(option will show the manual page. If supported by the terminal and a)"} /* raw text */,
    {{} /* set() */, R"( )"} /* whitespace */,
    {{} /* set() */, R"(suitable pager (e.g. )"} /* raw text */,
    {fmt::fg(fmt::terminal_color::bright_blue) | fmt::emphasis::bold /* {'code'} */, R"(less)"} /* inline code */,
    {{} /* set() */, R"() is found, the manual page is displayed)"} /* raw text */,
    {{} /* set() */, R"( )"} /* whitespace */,
    {{} /* set() */, R"(in the pager.)"} /* raw text */,
}};

constexpr uint32_t const line68_indent_first{0};
constexpr uint32_t const line68_indent_next{0};
constexpr std::array<element, 0> const line68_elements{{
}};

#if 0
Heading(2, AUTHOR, None)
#endif
constexpr uint32_t const line69_indent_first{0};
constexpr uint32_t const line69_indent_next{0};
constexpr std::array<element, 1> const line69_elements{{
    {fmt::fg(fmt::terminal_color::bright_green) | fmt::emphasis::bold /* {'head', 'h2'} */, R"(AUTHOR)"} /* raw text */,
}};

#if 0
<__main__.Paragraph object at 0x7f2452102b70>
#endif
// paragraph
constexpr uint32_t const line70_indent_first{8};
constexpr uint32_t const line70_indent_next{8};
constexpr std::array<element, 1> const line70_elements{{
    {{} /* set() */, R"(Written by Marcus Holland-Moritz.)"} /* raw text */,
}};

constexpr uint32_t const line71_indent_first{0};
constexpr uint32_t const line71_indent_next{0};
constexpr std::array<element, 0> const line71_elements{{
}};

#if 0
Heading(2, COPYRIGHT, None)
#endif
constexpr uint32_t const line72_indent_first{0};
constexpr uint32_t const line72_indent_next{0};
constexpr std::array<element, 1> const line72_elements{{
    {fmt::fg(fmt::terminal_color::bright_green) | fmt::emphasis::bold /* {'head', 'h2'} */, R"(COPYRIGHT)"} /* raw text */,
}};

#if 0
<__main__.Paragraph object at 0x7f2452396a80>
#endif
// paragraph
constexpr uint32_t const line73_indent_first{8};
constexpr uint32_t const line73_indent_next{8};
constexpr std::array<element, 1> const line73_elements{{
    {{} /* set() */, R"(Copyright (C) Marcus Holland-Moritz.)"} /* raw text */,
}};

constexpr uint32_t const line74_indent_first{0};
constexpr uint32_t const line74_indent_next{0};
constexpr std::array<element, 0> const line74_elements{{
}};

#if 0
Heading(2, SEE ALSO, None)
#endif
constexpr uint32_t const line75_indent_first{0};
constexpr uint32_t const line75_indent_next{0};
constexpr std::array<element, 1> const line75_elements{{
    {fmt::fg(fmt::terminal_color::bright_green) | fmt::emphasis::bold /* {'head', 'h2'} */, R"(SEE ALSO)"} /* raw text */,
}};

#if 0
<__main__.Paragraph object at 0x7f245228bb50>
#endif
// paragraph
constexpr uint32_t const line76_indent_first{8};
constexpr uint32_t const line76_indent_next{8};
constexpr std::array<element, 1> const line76_elements{{
    {{} /* set() */, R"(mkdwarfs(1), dwarfs(1), dwarfsextract(1), dwarfs-format(5))"} /* raw text */,
}};

constexpr uint32_t const line77_indent_first{0};
constexpr uint32_t const line77_indent_next{0};
constexpr std::array<element, 0> const line77_elements{{
}};

constexpr std::array<line, 78> const document_array{{
    {line0_indent_first, line0_indent_next, line0_elements},
    {line1_indent_first, line1_indent_next, line1_elements},
    {line2_indent_first, line2_indent_next, line2_elements},
    {line3_indent_first, line3_indent_next, line3_elements},
    {line4_indent_first, line4_indent_next, line4_elements},
    {line5_indent_first, line5_indent_next, line5_elements},
    {line6_indent_first, line6_indent_next, line6_elements},
    {line7_indent_first, line7_indent_next, line7_elements},
    {line8_indent_first, line8_indent_next, line8_elements},
    {line9_indent_first, line9_indent_next, line9_elements},
    {line10_indent_first, line10_indent_next, line10_elements},
    {line11_indent_first, line11_indent_next, line11_elements},
    {line12_indent_first, line12_indent_next, line12_elements},
    {line13_indent_first, line13_indent_next, line13_elements},
    {line14_indent_first, line14_indent_next, line14_elements},
    {line15_indent_first, line15_indent_next, line15_elements},
    {line16_indent_first, line16_indent_next, line16_elements},
    {line17_indent_first, line17_indent_next, line17_elements},
    {line18_indent_first, line18_indent_next, line18_elements},
    {line19_indent_first, line19_indent_next, line19_elements},
    {line20_indent_first, line20_indent_next, line20_elements},
    {line21_indent_first, line21_indent_next, line21_elements},
    {line22_indent_first, line22_indent_next, line22_elements},
    {line23_indent_first, line23_indent_next, line23_elements},
    {line24_indent_first, line24_indent_next, line24_elements},
    {line25_indent_first, line25_indent_next, line25_elements},
    {line26_indent_first, line26_indent_next, line26_elements},
    {line27_indent_first, line27_indent_next, line27_elements},
    {line28_indent_first, line28_indent_next, line28_elements},
    {line29_indent_first, line29_indent_next, line29_elements},
    {line30_indent_first, line30_indent_next, line30_elements},
    {line31_indent_first, line31_indent_next, line31_elements},
    {line32_indent_first, line32_indent_next, line32_elements},
    {line33_indent_first, line33_indent_next, line33_elements},
    {line34_indent_first, line34_indent_next, line34_elements},
    {line35_indent_first, line35_indent_next, line35_elements},
    {line36_indent_first, line36_indent_next, line36_elements},
    {line37_indent_first, line37_indent_next, line37_elements},
    {line38_indent_first, line38_indent_next, line38_elements},
    {line39_indent_first, line39_indent_next, line39_elements},
    {line40_indent_first, line40_indent_next, line40_elements},
    {line41_indent_first, line41_indent_next, line41_elements},
    {line42_indent_first, line42_indent_next, line42_elements},
    {line43_indent_first, line43_indent_next, line43_elements},
    {line44_indent_first, line44_indent_next, line44_elements},
    {line45_indent_first, line45_indent_next, line45_elements},
    {line46_indent_first, line46_indent_next, line46_elements},
    {line47_indent_first, line47_indent_next, line47_elements},
    {line48_indent_first, line48_indent_next, line48_elements},
    {line49_indent_first, line49_indent_next, line49_elements},
    {line50_indent_first, line50_indent_next, line50_elements},
    {line51_indent_first, line51_indent_next, line51_elements},
    {line52_indent_first, line52_indent_next, line52_elements},
    {line53_indent_first, line53_indent_next, line53_elements},
    {line54_indent_first, line54_indent_next, line54_elements},
    {line55_indent_first, line55_indent_next, line55_elements},
    {line56_indent_first, line56_indent_next, line56_elements},
    {line57_indent_first, line57_indent_next, line57_elements},
    {line58_indent_first, line58_indent_next, line58_elements},
    {line59_indent_first, line59_indent_next, line59_elements},
    {line60_indent_first, line60_indent_next, line60_elements},
    {line61_indent_first, line61_indent_next, line61_elements},
    {line62_indent_first, line62_indent_next, line62_elements},
    {line63_indent_first, line63_indent_next, line63_elements},
    {line64_indent_first, line64_indent_next, line64_elements},
    {line65_indent_first, line65_indent_next, line65_elements},
    {line66_indent_first, line66_indent_next, line66_elements},
    {line67_indent_first, line67_indent_next, line67_elements},
    {line68_indent_first, line68_indent_next, line68_elements},
    {line69_indent_first, line69_indent_next, line69_elements},
    {line70_indent_first, line70_indent_next, line70_elements},
    {line71_indent_first, line71_indent_next, line71_elements},
    {line72_indent_first, line72_indent_next, line72_elements},
    {line73_indent_first, line73_indent_next, line73_elements},
    {line74_indent_first, line74_indent_next, line74_elements},
    {line75_indent_first, line75_indent_next, line75_elements},
    {line76_indent_first, line76_indent_next, line76_elements},
    {line77_indent_first, line77_indent_next, line77_elements},
}};
} // namespace

// NOLINTEND(readability-*)

document get_dwarfsck_manpage() { return document_array; }

} // namespace dwarfs::tool::manpage
